> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark a conversation read

> Clear unread state for inbound messages up to a cutoff. Not a WhatsApp read receipt.



## OpenAPI

````yaml /openapi.json post /v1/whatsapp/conversations/{conversation_id}/read
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/whatsapp/conversations/{conversation_id}/read:
    post:
      tags:
        - Karibu-Whatsapp-Conversations
      summary: Mark a conversation read
      description: >-
        Clear unread state for inbound messages up to a cutoff. Not a WhatsApp
        read receipt.
      operationId: wa_mark_conversation_read
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WaMarkReadRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/WaConversationRead'
                  errors:
                    type: array
                    nullable: true
                    items:
                      $ref: '#/components/schemas/WaApiError'
                  request_id:
                    type: string
        '403':
          description: API key is not linked to a workspace (WORKSPACE_REQUIRED).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
        '404':
          description: Conversation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
components:
  schemas:
    WaMarkReadRequest:
      type: object
      properties:
        up_to:
          type: string
          format: date-time
          nullable: true
          description: Mark inbound messages up to this time read. Defaults to now.
    WaConversationRead:
      type: object
      properties:
        conversation_id:
          type: string
          format: uuid
        messages_marked_read:
          type: integer
    WaApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        field:
          type: string
          nullable: true
    WaErrorEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: false
        data:
          type: object
          nullable: true
          description: >-
            On a failed send that still produced a record, carries the pollable
            message_id with status='failed'; otherwise null.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WaApiError'
        request_id:
          type: string

````